Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InputMessageVideoNote

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputMessageContent
it.tdlight.jni.TdApi.InputMessageVideoNote

Enclosing class:
  TdApi

public static final class TdApi.InputMessageVideoNote extends TdApi.InputMessageContent
A video note message.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`int`
`duration`
Duration of the video, in seconds.
`int`
`length`
Video width and height; must be positive and not greater than 640.
`TdApi.InputThumbnail`
`thumbnail`
Video thumbnail; pass null to skip thumbnail uploading.
`TdApi.InputFile`
`videoNote`
Video note to be sent.

## Constructor Summary

Constructors
Constructor
Description
`InputMessageVideoNote()`
A video note message.
`InputMessageVideoNote(TdApi.InputFile videoNote, TdApi.InputThumbnail thumbnail, int duration, int length)`
A video note message.
`InputMessageVideoNote(DataInput input)`
A video note message.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### videoNote

public TdApi.InputFile videoNote
Video note to be sent.

### thumbnail

public TdApi.InputThumbnail thumbnail
Video thumbnail; pass null to skip thumbnail uploading.

### duration

public int duration
Duration of the video, in seconds.

### length

public int length
Video width and height; must be positive and not greater than 640.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### InputMessageVideoNote

public InputMessageVideoNote()
A video note message.

### InputMessageVideoNote

public InputMessageVideoNote(TdApi.InputFile videoNote, TdApi.InputThumbnail thumbnail, int duration, int length)
A video note message.

Parameters:
  `videoNote` - InputFile Video note to be sent.
  `thumbnail` - InputThumbnail Video thumbnail; pass null to skip thumbnail uploading.
  `duration` - int Duration of the video, in seconds.
  `length` - int Video width and height; must be positive and not greater than 640.

### InputMessageVideoNote

public InputMessageVideoNote(DataInput input) throws IOException
A video note message.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`